### Function

# Phosh strip_suffix_from_app_id

#### Declaration [src]

    char*
    phosh_strip_suffix_from_app_id (
      const char* app_id
    )

#### Description [src]

Strip the desktop suffix from app_id.

#### Parameters

`app_id`

  Type: `const char*`

  The app_id.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

The munged_app id.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.